/*!
 * =====================
 * PatZilla IP Navigator
 * =====================
 * 
 * 
 * About
 * =====
 * PatZilla is a modular patent information research platform and
 * data integration toolkit. It features an efficient user interface
 * and access to multiple data sources.
 * 
 * To make sure it remains free software for all its users and to guarantee
 * the freedom to share and change all versions of this program, it is
 * licensed under the terms of the GNU Affero General Public License.
 * 
 * 
 * Details
 * =======
 * To find out more about PatZilla, you are welcome to explore the resources
 * listed below. If you feel you want to help to move this project forward,
 * you are welcome to join us on our community forum.
 * 
 * - Repository
 *   https://github.com/ip-tools/ip-navigator
 * 
 * - Documentation
 *   https://docs.ip-tools.org/ip-navigator/
 * 
 * - Community Forum
 *   https://meta.ip-tools.org/
 * 
 * 
 * License
 * =======
 * PatZilla - Patent information research for humans
 * Copyright (C) 2013-2019  The PatZilla authors
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * 
 * Support
 * =======
 * For enterprises, dedicated commercial support is also available through
 * Elmyra UG. `Elmyra UG`_ is the software development company that's
 * spearheading the ongoing development and as such will ensure
 * continuity for the project.
 * 
 * If you're using PatZilla in your company and you need support or custom
 * development or support, feel free to get in touch with us. We are happy
 * to receive respective inquiries at info@elmyra.de.
 * 
 * In this way, you are contributing to the ongoing maintenance and further
 * development of PatZilla. As it still is a reasonably young project, it
 * needs all support it can get.
 * 
 * 
 * Licenses of third-party components
 * ==================================
 * This program uses third-party libraries or other resources that may
 * be distributed under licenses different than this software itself.
 * These licenses of software components included in this webpack bundle
 * file are listed in the following document section.
 * 
 */!function(e){function n(n){for(var i,s,o=n[0],l=n[1],d=n[2],p=0,u=[];p<o.length;p++)s=o[p],r[s]&&u.push(r[s][0]),r[s]=0;for(i in l)Object.prototype.hasOwnProperty.call(l,i)&&(e[i]=l[i]);for(c&&c(n);u.length;)u.shift()();return a.push.apply(a,d||[]),t()}function t(){for(var e,n=0;n<a.length;n++){for(var t=a[n],i=!0,o=1;o<t.length;o++){var l=t[o];0!==r[l]&&(i=!1)}i&&(a.splice(n--,1),e=s(s.s=t[0]))}return e}var i={},r={3:0},a=[];function s(n){if(i[n])return i[n].exports;var t=i[n]={i:n,l:!1,exports:{}};return e[n].call(t.exports,t,t.exports,s),t.l=!0,t.exports}s.m=e,s.c=i,s.d=function(e,n,t){s.o(e,n)||Object.defineProperty(e,n,{enumerable:!0,get:t})},s.r=function(e){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},s.t=function(e,n){if(1&n&&(e=s(e)),8&n)return e;if(4&n&&"object"==typeof e&&e&&e.__esModule)return e;var t=Object.create(null);if(s.r(t),Object.defineProperty(t,"default",{enumerable:!0,value:e}),2&n&&"string"!=typeof e)for(var i in e)s.d(t,i,function(n){return e[n]}.bind(null,i));return t},s.n=function(e){var n=e&&e.__esModule?function(){return e.default}:function(){return e};return s.d(n,"a",n),n},s.o=function(e,n){return Object.prototype.hasOwnProperty.call(e,n)},s.p="/static/assets/";var o=window.webpackJsonp=window.webpackJsonp||[],l=o.push.bind(o);o.push=n,o=o.slice();for(var d=0;d<o.length;d++)n(o[d]);var c=l;a.push([576,0]),t()}({488:function(e,n,t){var i=t(583);"string"==typeof i&&(i=[[e.i,i,""]]);var r={hmr:!0,transform:void 0,insertInto:void 0};t(26)(i,r);i.locals&&(e.exports=i.locals)},576:function(e,n,t){e.exports=t(577)},577:function(e,n,t){(function(e,n,i,r){t(6),t(71),t(72),t(209),e.$=window.jQuery,n.$=window.jQuery;var a=n.Controller.extend({initialize:function(){console.log("Controller.initialize"),this.options.regionManager=new n.RegionManager({}),this.options.regionManager.addRegion("content","#content-region")},hotkeys:function(){t(578);var e=n.getOption(this,"regionManager");i("#title-container").html("Hotkeys overview"),e.get("content").show(new HotkeysHelpView)},ificlaims:function(){t(585);var e=n.getOption(this,"regionManager");i("#title-container").html("Benutzerhandbuch für die Suche bei IFI Claims"),e.get("content").show(new IFIClaimsHandbookView)}}),s=n.AppRouter.extend({appRoutes:{hotkeys:"hotkeys",ificlaims:"ificlaims"},initialize:function(){console.log("Router.initialize"),this.controller=new a({initialData:n.getOption(this,"initialData")})}});NavigatorHelp=r.Application.extend({initialize:function(){},onStart:function(n){console.info("NavigatorHelp:onStart");new s(n);e.history.start()}}),navigatorHelp=new NavigatorHelp({}),i(document).ready(function(){console.log("document.ready"),navigatorHelp.start()})}).call(this,t(10),t(6),t(3),t(6))},578:function(e,n,t){(function(e,n){t(211),t(579),t(580),t(488),HotkeysHelpView=e.ItemView.extend({template:t(584),initialize:function(){console.log("HelpHotkeysView.initialize")},onDomRefresh:function(){console.log("HelpHotkeysView.onDomRefresh"),n(".expandable").shorten({showChars:0,moreText:"more",lessText:"less"})}})}).call(this,t(6),t(3))},579:function(module,exports){with(kbparams={clsNames:["content"],isDebug:!1,safeMode:!1,concatenator:"+",matchAtLeast:0,keyHtmlElem:"kbd",isStartCasing:!0,isBothCasing:!0,stripPunctuation:!0,KEYMAP:{UPPERCASE:0,Startcase:0,STRG:16,CTRL:17,CTRLRIGHT:18,CTRLR:18,SHIFT:16,RETURN:13,ENTER:13,BACKSPACE:8,BCKSP:8,ALT:18,SPACE:32,TAB:9,WIN:91,INSERT:0,END:0,PAGE:0,HOME:0,MAC:91,FN:null,UP:38,DOWN:40,LEFT:37,RIGHT:39,ESC:27,DEL:46,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123,PUNCTALNUM:36}},isOpera=!!/opera/i.test(navigator.userAgent),Classy=function(e){e&&e.constructor===String&&(e=document.getElementsByClassName(e)[0]);return{self:e,set:function(e){return e.length?(this.self=e[0],e):this.self=e,this},foreach:function(e,n,t){for(var i=0;i<n.length;i++)t(e,n[i])},has:function(e,n){this.self&&(n=this.self);var t=new RegExp("(^|\\s)"+e+"(\\s?)");return n.className.match(t)},add:function(e,n){return this.self&&(n=this.self),this.has(e,n)||(n.className+=" "+e),this},del:function(e,n){if(this.self&&(n=this.self),this.has(e,n)){var t=new RegExp("(^|\\s)"+e+"(\\s?)");n.className=n.className.replace(t," ")}return this},repl:function(e,n,t){return this.self&&(t=this.self),this.has(e,t)&&this.del(e,t),this.add(n,t),this},focus:function(e){this.self&&(e=this.self);for(var n={x:0,y:0};null!=e;)n.x+=e.offsetLeft,n.y+=e.offsetTop,e=e.offsetParent;window.scrollTo(n.x,n.y)},prototype:{toString:function(){return JSON.stringify(self)}}}},window&&window.console&&window.console._commandLineAPI||{})var KeyBoarder=function(){var e=new Classy,n={backspace:"8",tab:"9",enter:"13",shift:"16",ctrl:"17",alt:"18",pause_break:"19",caps_lock:"20",escape:"27",page_up:"33","page down":"34",end:"35",home:"36",left_arrow:"37",up_arrow:"38",right_arrow:"39",down_arrow:"40",insert:"45",delete:"46",0:"48",1:"49",2:"50",3:"51",4:"52",5:"53",6:"54",7:"55",8:"56",9:"57",a:"65",b:"66",c:"67",d:"68",e:"69",f:"70",g:"71",h:"72",i:"73",j:"74",k:"75",l:"76",m:"77",n:"78",o:"79",p:"80",q:"81",r:"82",s:"83",t:"84",u:"85",v:"86",w:"87",x:"88",y:"89",z:"90","left_window key":"91","right_window key":"92",select_key:"93","numpad 0":"96","numpad 1":"97","numpad 2":"98","numpad 3":"99","numpad 4":"100","numpad 5":"101","numpad 6":"102","numpad 7":"103","numpad 8":"104","numpad 9":"105",multiply:"106",add:"107",subtract:"109","decimal point":"110",divide:"111",f1:"112",f2:"113",f3:"114",f4:"115",f5:"116",f6:"117",f7:"118",f8:"119",f9:"120",f10:"121",f11:"122",f12:"123",num_lock:"144",scroll_lock:"145",semi_colon:"186",equal_sign:"187",comma:"188",dash:"189",period:"190",forward_slash:"191",grave_accent:"192",open_bracket:"219",backslash:"220",closebracket:"221",single_quote:"222"},t={clsNames:["content","claro"],isDebug:!1,safeMode:!1,concatenator:"+",matchAtLeast:0,keyHtmlElem:"kbd",isStartCasing:!0,isBothCasing:!0,stripPunctuation:!0,KEYMAP:{STRG:17,CTRLRIGHT:18,CTRLR:18,SHIFT:16,RETURN:13,ENTER:13,BACKSPACE:8,BCKSP:8,ALT:18,ALTRIGHT:17,SPACE:32,WIN:91,MAC:91,FN:null,UP:38,DOWN:40,LEFT:37,RIGHT:39,ESC:27,DEL:46,F1:112,F2:113,F3:114,F4:115,F5:116,F6:117,F7:118,F8:119,F9:120,F10:121,F11:122,F12:123}},i=.6,r="initial release",a=[],s={},o={};isKeyBoarder=!0;var l=function(e){if(this.self=this,0===arguments.length)e={};for(var i in e)t[i]=e[i];for(var i in t.KEYMAP)a.push((r=i,t.isStartCasing?r.toUpperCase()[0]+r.substr(1,r.length).toLowerCase():r)),t.isBothCasing&&a.push(i.toUpperCase());var r;for(var i in t.KEYMAP.__proto__=n,t.KEYMAP)s[i.toLowerCase()]=0,o[t.KEYMAP[i]]=i;var l=document.getElementsByTagName("body")[0];l.addEventListener("keydown",KeyBoarder.highlightKeys),l.addEventListener("keyup",KeyBoarder.highlightKeys);var d=a.join("|");if(t.safeMode)p=/[\s|,]?((?:STRG|CTRL|SHIFT|RETURN|ENTER|ALT|ALTR|SPACE|WIN|FN|UP|DOWN|LEFT|RIGHT|ESC|DEL)\s{0,2}\+\s?){1,2}[A-Z0-9][,]?\s/g;else var c=t.matchAtLeast?"+":"?",p=new RegExp("[\\s|,\\-]?((?:"+d+"|F\\d\\d?\\s)\\s*\\"+t.concatenator+c+"\\s*){1,4}([A-Z0-9\\*\\+\\-](\\s*\\+\\s*[A-Z0-9])?|[A-Z0-9]\\"+t.concatenator+"[A-Z0-9]?){0,1}(?:[,\\s\\\"\\'<\\/])","g");t.isDEBUG&&console.log(p);var u=new Array(p),h=function(e){if(t.isDebug&&console.log("matches:",e),-1===e.indexOf(t.concatenator)&&-1===a.indexOf(e.trim()))return e;var n;if(t.matchAtLeast&&null!==(n=e.match(RegExp("\\"+t.concatenator,"g")))&&n.length<t.matchAtLeast)return e;e=e.toString(),t.stripPunctuation&&(e=e.replace(RegExp(",|\\\"|\\-|\\'|\\*|\\#|\\\\|\\;|\\:|\\||\\.|\\!|\\$|\\&|\\%","g"),""));var i,r="";concat='<b class="kbConcat">'+t.concatenator+"</b>","<"===e[e.length-1]&&(e=e.substr(0,e.length-1),r="<");var s=t.keyHtmlElem;if(e.indexOf(t.concatenator)>-1){i=e.split(RegExp("\\s*\\"+t.concatenator+"\\s*"));for(var o=0;o<i.length;o++)i[o]="<"+s+' class="kbKey kb'+i[o].toString().toUpperCase().trim()+'">'+i[o].toString().trim()+"</"+s+">";i=i.join(concat)}else i="<"+s+' class="kbKey kb'+e.toUpperCase().trim()+'">'+e.trim()+"</"+s+">";return i.replace(/,|\-/g,"")+r};this.regmatch=h,this.htmlproptext="";this.restore=function(){for(var e=0;e<t.clsNames.length;e++)for(var n=document.getElementsByClassName(t.clsNames[e])[0],i=0;i<n.length;i++){var r=t.clsNames[e]+","+i;if("undefined"!=typeof el)return void 0!==self.originaltext[r]&&(el[self.htmlproptext]=self.originaltext[r],!0)}};var m=function(){if(arguments.length>0)if(e.constructor===String)t.clsNames.push(e);else{if(e.constructor!==Object)throw new TypeError("unexpected Object passed to constructor");t.clsNames=e.clsNames}for(var n=0;n<t.clsNames.length;n++)for(var i=document.getElementsByClassName(t.clsNames[n]),r=0;r<i.length;r++){var a=i[r];if(void 0!==a){void 0===this.originaltext&&(this.originaltext={});var s=t.clsNames[n]+","+r;if(void 0!==this.originaltext[s])var o=this.originaltext[s];else{o=a.innerHTML||a.innerText||a.value;this.originaltext[s]=o}this.regmatch="";for(var l=0;l<u.length;l++)o=o.replace(u[l],function(){return h(arguments[0])});t.isDebug&&console.log(o);if(void 0!==a.innerHTML)this.htmlproptext="innerHTML",Math.abs(a.innerHTML.length-o.length)>10&&(a.innerHTML=o);else if(void 0!==a.innerText)this.htmlproptext="innerText",Math.abs(a.innerText.length-o.length)>10&&(a.innerText=o);else{if(void 0===a.value)return!1;this.htmlproptext="value",Math.abs(a.value.length-o.length)>10&&(a.value=o)}}}return!0};this.init=m,this.intStatus=m(),this.reinit=m};return l.highlightKeys=function(n){var i=n.keyCode?n.keyCode:n.charCode;if(t.isDebug&&console.log(i,n.ctrlKey,n),"keydown"===n.type){if(t.isDebug&&console.log(KeyBoarder.keyCodeToKey(n.keyCode),o),keylit=KeyBoarder.keyCodeToKey(n.keyCode)){var r=s[keylit];if(!(a=document.getElementsByClassName("kb"+keylit.toUpperCase())).length)return;e.add("kbKeyHighlight",a[r]).focus(a[r]),s[keylit]+1<a.length?s[keylit]++:s[keylit]=0}}else if("keyup"===n.type&&(keylit=KeyBoarder.keyCodeToKey(n.keyCode))){var a;if(!(a=document.getElementsByClassName("kb"+keylit.toUpperCase())).length)return;r=0===s[keylit]?a.length-1:s[keylit]-1;e.del("kbKeyHighlight",a[r])}n.cancelBubble=!0},l.keyCodeToKey=function(e){return o[e].toLowerCase()},l.prototype={toString:function(){return[r,": <",i,">"].join("")}},l}();!function(e){for(var n=document.getElementsByTagName("script"),t=0;t<n.length;t++)/KeyBoarder/gi.test(n[t].src);if(void 0===KeyBoarder)throw new TypeError("A variable or object with the name KeyBoarder does not (yet) exist in the global scope.");window.addEventListener("error",function(e){console.error("KeyBoarder-Error:",e)}),/opera/i.test(navigator.userAgent)?window.addEventListener("DOMContentLoaded",function(e){new KeyBoarder(kbparams)},null):window.addEventListener("load",function(e){new KeyBoarder(kbparams)})}(window)},580:function(e,n,t){var i=t(581);"string"==typeof i&&(i=[[e.i,i,""]]);var r={hmr:!0,transform:void 0,insertInto:void 0};t(26)(i,r);i.locals&&(e.exports=i.locals)},581:function(e,n,t){var i=t(49);(e.exports=t(25)(!1)).push([e.i,'/*\nauthor:       L. Sauer 2011; lsauer.com\nproject:      KeyBoarder\ndescription:  keyBoarder is a small, fast javascript library which dynamically replaces text-written keyboard-shortcuts for visually appealing, stylizable, navigatable shortcuts.\nlicense:      MIT license\n*/\n/*\n Base class which all kb-classes should \'inherit\':\n  e.g.: <kbd class="kbKey kbKeyNested"> STRG+WIN+O </kbd>\n  or by listing all your derived classes:\n  e.g.: .kbKey,.kbKeyFancy, {...}\n */\n.kbKey,\n.kbKeyModern,\n.kbKeyDark,\n.kbKeylight,\n.kbKeyFancy,\n.kbKeySimple {\n  display: inline-block;\n  padding: .2em .3em;\n  margin: 2px 3px 2px 3px;\n  min-width: 1.3em;\n  min-height: 1.4em;\n  /*border*/\n  border: 0.25em solid;\n  border-top-width: 0.2em;\n  border-left-width: 0.2em;\n  border-color: #DDD #BBB #BBB #DDD;\n  border-radius: .2em;\n  -moz-border-radius: .3em;\n  -webkit-border-radius: .3em;\n  /*text*/\n  font: bold .9em "Lucida Grande", Lucida, Arial, sans-serif;\n  /*font-family: inherit;*/\n  color: #333;\n  text-align: center;\n  text-decoration: none;\n  white-space: nowrap;\n  line-height: 1.5em;\n  text-shadow: #a0a0a0 3px 3px 6px;\n  /* prevents selection of the text */\n  user-select: none;\n  -moz-user-select: none;\n  -webkit-user-select: none;\n  /*other*/\n  background: #EEE;\n  cursor: default; }\n\n/*\n Modern: Round, soft style with gradients, suitable for light, to grey backgrounds\n */\n.kbKeyModern {\n  color: #222;\n  border-color: #DDD #BBB #BBB #DDD;\n  margin: 2px 3px 2px 3px;\n  min-width: 1.3em;\n  min-height: 1.4em;\n  border-radius: .3em;\n  -moz-border-radius: .3em;\n  -webkit-border-radius: .3em;\n  cursor: pointer;\n  text-shadow: #a0a0a0 3px 3px 6px;\n  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #e7e7e9), color-stop(1, #a6a6ac));\n  -webkit-box-shadow: 5px 4px 10px gray; }\n\n/*\nDark style for displaying keys on a white or light background\n */\n.kbKeyDark {\n  background-color: #aaa;\n  padding: .2em .3em;\n  font: bold .9em "Lucida Grande", Lucida, Arial, sans-serif;\n  color: #fff;\n  border-color: #666 #999 #999 #666;\n  border-radius: .5em;\n  -moz-border-radius: .5em;\n  -webkit-border-radius: .5em; }\n\n/*\nFancy style: css-class to experiments with\n */\n.kbKeyFancy {\n  cursor: url('+i(t(582))+'); }\n\n/*\nSimple style: ideal for formal documents, with a lighter background\n */\n.kbKeySimple {\n  border: 0.1em solid;\n  border-top-width: 0.2em;\n  border-left-width: 0.2em;\n  background: #EEE;\n  padding: .2em .3em;\n  font: bold .9em "Courier New", Courier, monospace;\n  color: #222;\n  text-align: center;\n  white-space: nowrap;\n  border-color: #DDD;\n  line-height: 1.5em;\n  margin: 2px 3px 2px 3px;\n  min-width: 1.3em;\n  min-height: 1.4em;\n  border-radius: .4em;\n  -moz-border-radius: .4em;\n  -webkit-border-radius: .4em;\n  text-shadow: none; }\n\n/*\nLight style: css-class to experiments with\n */\n/*@import: url(http://fonts.googleapis.com/css?family=Aldrich)*/\n.kbKeyLight {\n  padding: 3px;\n  text-align: center;\n  font-family: "Aldrich", sans-serif;\n  background: #fafafa;\n  background: -moz-linear-gradient(top, #d2d2d2, white);\n  background: -webkit-gradient(linear, left top, left bottom, from(#d2d2d2), to(white));\n  color: #3c3c3c;\n  -webkit-box-shadow: inset 0 0 1px white, inset 0 0 0.4em #c8c8c8, 0 0.1em 0 #828282, 0 0.1em 0 rgba(0, 0, 0, 0.4), 0 0.1em 0.1em rgba(0, 0, 0, 0.9);\n  box-shadow: inset 0 0 1px white, inset 0 0 0.4em #c8c8c8, 0 0.1em 0 #828282, 0 0.1em 0 rgba(0, 0, 0, 0.4), 0 0.1em 0.1em rgba(0, 0, 0, 0.9);\n  /*may become obsolete soon*/\n  -moz-box-shadow: inset 0 0 1px white, inset 0 0 0.3em #c8c8c8, 0 0.1em 0 #828282, 0 0.1em 0 rgba(0, 0, 0, 0.4), 0 0.1em 0.1em rgba(0, 0, 0, 0.9); }\n\n/** HOVER STYLES */\n/*\n Default key-shortcut style during an onmouseover mouse event\n */\n.kbKey:hover,\n.kbKeyModern:hover,\n.kbKeyDark:hover,\n.kbKeylight:hover,\n.kbKeySimple:hover,\n.kbKeyFancy:hover,\n.kbKeyHighlight {\n  opacity: 0.7;\n  -moz-transition: opacity 0.6s;\n  -webkit-transition: opacity 0.6s;\n  -o-transition: opacity 0.6s;\n  /*background: #fff;*/\n  font-color: #999;\n  /*border-color: #DDD #AAA #AAA #DDD;\n  border-style: groove;\n  */\n  /* looks like a key press: */\n  /*border-width: 0.1em 0.15em 0.15em 0.1em;*/\n  -webkit-box-shadow: 5px 4px 10px #aaa; }\n\n.kbKeyModern:hover {\n  background-image: -webkit-gradient(linear, left top, left bottom, color-stop(0, #b4b4b4), color-stop(1, #747470)); }\n\n/*\n Class for nesting of keys \n e.g.\n    This is a text with a shortcut: <kbd class="kbKey kbKeyNested"> CTRL+WIN+P </kbd>\n */\n.kbKeyNested {\n  border-radius: .9em;\n  padding: .6em .5em;\n  background-color: #fff; }\n\n/*\n Default style applied when a key is focused by pressing the corresponding key of the shortcut\n */\n.kbKeyHighlight {\n  /*background: #333;\n  font-color: #fff;\n  border-color: #DDD #AAA #AAA #DDD;*/ }\n\n/*\n Default style for the concatenation symbol: default is \'+\' e.g. CTRL+WIN+P\n */\n.kbConcat {\n  font-family: "Arial Black", Gadget, sans-serif;\n  vertical-align: central;\n  display: inline-block;\n  text-align: center;\n  border: 1px solid #ccc;\n  border-radius: 4px;\n  background-color: #999;\n  color: #fff;\n  line-height: .9em;\n  width: 1.2em;\n  height: 1.2em;\n  max-height: 30px;\n  max-height: 30px;\n  font-family: verdana;\n  font-size: 1em;\n  font-weight: bold; }\n\n.kbConcatBold {\n  border: 2px solid #777;\n  line-height: .8em;\n  min-height: 20px;\n  min-width: 20px; }\n\n/*\n\tConcatenator in nested keys\n*/\nkbd > b.kbConcat {\n  font-family: "Arial Black", Gadget, sans-serif;\n  vertical-align: central;\n  display: inline-block;\n  text-align: center;\n  border: 1px solid #eee;\n  border-radius: 4px;\n  background-color: #fff;\n  color: #000;\n  line-height: .9em;\n  width: 1.2em;\n  height: 1.2em;\n  max-height: 30px;\n  max-height: 30px;\n  font-family: verdana;\n  font-size: 1em;\n  font-weight: bold; }\n\n/*\n  Default style for individual keys\n  Any declared key can be additionally styled by setting a css class for the literal-key match,\n  prefixed by \'kb\'\n  e.g. CTRL + C will be rendered with an overline above the CTRL-key\n */\n/*\n.kbCTRL {\n  text-decoration:overline;\n  font-weight:bold;\n}\n*/\n',""])},582:function(e,n,t){e.exports=t.p+"88112ac068ecb90902a509d9546ff7b6.ico"},583:function(e,n,t){(e.exports=t(25)(!1)).push([e.i,".list-group {\n  padding-left: 0;\n  margin-bottom: 20px; }\n\n.list-group-item {\n  position: relative;\n  display: block;\n  padding: 10px 15px;\n  margin-bottom: -1px;\n  background-color: #fff;\n  border: 1px solid #ddd; }\n\n.list-group-item:first-child {\n  border-top-left-radius: 4px;\n  border-top-right-radius: 4px; }\n\n.list-group-item:last-child {\n  margin-bottom: 0;\n  border-bottom-right-radius: 4px;\n  border-bottom-left-radius: 4px; }\n\n.list-group-item > .badge {\n  float: right; }\n\n.list-group-item > .badge + .badge {\n  margin-right: 5px; }\n\na.list-group-item {\n  color: #555; }\n\na.list-group-item .list-group-item-heading {\n  color: #333; }\n\na.list-group-item:hover,\na.list-group-item:focus {\n  color: #555;\n  text-decoration: none;\n  background-color: #f5f5f5; }\n\n.list-group-item.disabled,\n.list-group-item.disabled:hover,\n.list-group-item.disabled:focus {\n  color: #777;\n  background-color: #eee; }\n\n.list-group-item.disabled .list-group-item-heading,\n.list-group-item.disabled:hover .list-group-item-heading,\n.list-group-item.disabled:focus .list-group-item-heading {\n  color: inherit; }\n\n.list-group-item.disabled .list-group-item-text,\n.list-group-item.disabled:hover .list-group-item-text,\n.list-group-item.disabled:focus .list-group-item-text {\n  color: #777; }\n\n.list-group-item.active,\n.list-group-item.active:hover,\n.list-group-item.active:focus {\n  z-index: 2;\n  color: #fff;\n  background-color: #428bca;\n  border-color: #428bca; }\n\n.list-group-item.active .list-group-item-heading,\n.list-group-item.active:hover .list-group-item-heading,\n.list-group-item.active:focus .list-group-item-heading,\n.list-group-item.active .list-group-item-heading > small,\n.list-group-item.active:hover .list-group-item-heading > small,\n.list-group-item.active:focus .list-group-item-heading > small,\n.list-group-item.active .list-group-item-heading > .small,\n.list-group-item.active:hover .list-group-item-heading > .small,\n.list-group-item.active:focus .list-group-item-heading > .small {\n  color: inherit; }\n\n.list-group-item.active .list-group-item-text,\n.list-group-item.active:hover .list-group-item-text,\n.list-group-item.active:focus .list-group-item-text {\n  color: #e1edf7; }\n\n.list-group-item-success {\n  color: #3c763d;\n  background-color: #dff0d8; }\n\na.list-group-item-success {\n  color: #3c763d; }\n\na.list-group-item-success .list-group-item-heading {\n  color: inherit; }\n\na.list-group-item-success:hover,\na.list-group-item-success:focus {\n  color: #3c763d;\n  background-color: #d0e9c6; }\n\na.list-group-item-success.active,\na.list-group-item-success.active:hover,\na.list-group-item-success.active:focus {\n  color: #fff;\n  background-color: #3c763d;\n  border-color: #3c763d; }\n\n.list-group-item-info {\n  color: #31708f;\n  background-color: #d9edf7; }\n\na.list-group-item-info {\n  color: #31708f; }\n\na.list-group-item-info .list-group-item-heading {\n  color: inherit; }\n\na.list-group-item-info:hover,\na.list-group-item-info:focus {\n  color: #31708f;\n  background-color: #c4e3f3; }\n\na.list-group-item-info.active,\na.list-group-item-info.active:hover,\na.list-group-item-info.active:focus {\n  color: #fff;\n  background-color: #31708f;\n  border-color: #31708f; }\n\n.list-group-item-warning {\n  color: #8a6d3b;\n  background-color: #fcf8e3; }\n\na.list-group-item-warning {\n  color: #8a6d3b; }\n\na.list-group-item-warning .list-group-item-heading {\n  color: inherit; }\n\na.list-group-item-warning:hover,\na.list-group-item-warning:focus {\n  color: #8a6d3b;\n  background-color: #faf2cc; }\n\na.list-group-item-warning.active,\na.list-group-item-warning.active:hover,\na.list-group-item-warning.active:focus {\n  color: #fff;\n  background-color: #8a6d3b;\n  border-color: #8a6d3b; }\n\n.list-group-item-danger {\n  color: #a94442;\n  background-color: #f2dede; }\n\na.list-group-item-danger {\n  color: #a94442; }\n\na.list-group-item-danger .list-group-item-heading {\n  color: inherit; }\n\na.list-group-item-danger:hover,\na.list-group-item-danger:focus {\n  color: #a94442;\n  background-color: #ebcccc; }\n\na.list-group-item-danger.active,\na.list-group-item-danger.active:hover,\na.list-group-item-danger.active:focus {\n  color: #fff;\n  background-color: #a94442;\n  border-color: #a94442; }\n\n.list-group-item-heading {\n  margin-top: 0;\n  margin-bottom: 5px; }\n\n.list-group-item-text {\n  margin-bottom: 0;\n  line-height: 1.3; }\n\n.panel {\n  margin-bottom: 20px;\n  background-color: #fff;\n  border: 1px solid transparent;\n  border-radius: 4px;\n  -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05);\n  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.05); }\n\n.panel-body {\n  padding: 15px; }\n\n.panel-heading {\n  padding: 10px 15px;\n  border-bottom: 1px solid transparent;\n  border-top-left-radius: 3px;\n  border-top-right-radius: 3px; }\n\n.panel-heading > .dropdown .dropdown-toggle {\n  color: inherit; }\n\n.panel-title {\n  margin-top: 0;\n  margin-bottom: 0;\n  font-size: 16px;\n  color: inherit; }\n\n.panel-title > a {\n  color: inherit; }\n\n.panel-footer {\n  padding: 10px 15px;\n  background-color: #f5f5f5;\n  border-top: 1px solid #ddd;\n  border-bottom-right-radius: 3px;\n  border-bottom-left-radius: 3px; }\n\n.panel > .list-group {\n  margin-bottom: 0; }\n\n.panel > .list-group .list-group-item {\n  border-width: 1px 0;\n  border-radius: 0; }\n\n.panel > .list-group:first-child .list-group-item:first-child {\n  border-top: 0;\n  border-top-left-radius: 3px;\n  border-top-right-radius: 3px; }\n\n.panel > .list-group:last-child .list-group-item:last-child {\n  border-bottom: 0;\n  border-bottom-right-radius: 3px;\n  border-bottom-left-radius: 3px; }\n\n.panel-heading + .list-group .list-group-item:first-child {\n  border-top-width: 0; }\n\n.list-group + .panel-footer {\n  border-top-width: 0; }\n",""])},584:function(module,exports){module.exports=function(obj){var __t,__p="",__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,"")};with(obj||{})__p+="",__p+='\n\n<div class="container-fluid">\n\n    <div class="span9">\n\n        <div class="list-group">\n\n            \x3c!-- Global actions --\x3e\n            <a href="#" class="list-group-item">\n                <h4 class="list-group-item-heading">Global actions</h4>\n                <p class="list-group-item-text">\n                <table class="table content">\n\n                    <tbody>\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">META</kbd><b class="kbConcat">+</b><kbd class="kbKey">RETURN</kbd>\n                            <br/>\n                            CTRL+RETURN\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Submit search\n                            </p>\n                            <p>\n                                Submits search query to active data source. Only enabled in query input field.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + C\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to comfort search user interface\n                            </p>\n                            <p>\n                                Use a field-based form for specifying search criteria.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + X\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to expert search user interface\n                            </p>\n                            <p>\n                                Use a text area for submitting a CQL query expression.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + N\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to numberlist interface\n                            </p>\n                            <p>\n                                Use a numberlist as query expression.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + E\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to datasource EPO\n                            </p>\n                            <p>\n                                Search results and bibliographic information come from\n                                <a href="https://ops.epo.org/">EPO\'s OPS</a> web service.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + D\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to datasource DPMA\n                            </p>\n                            <p>\n                                Search results come from\n                                <a href="https://www.dpma.de/english/service/e-services/depatisnet/">DPMA\'s DEPATISnet</a>,\n                                while bibliographic information comes from OPS.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + I\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to datasource IFI Claims\n                            </p>\n                            <p>\n                                Search results originate from the commercial patent search database\n                                <a href="https://www.ificlaims.com/">IFI Claims</a>,\n                                while bibliographic information comes from OPS.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + T\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to datasource depa.tech\n                            </p>\n                            <p>\n                                Search results originate from the commercial patent search database\n                                <a href="https://depa.tech/">depa.tech</a>,\n                                while bibliographic information comes from OPS.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            CTRL + SHIFT + R\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Switch to review mode\n                            </p>\n                            <p>\n                                Present all documents collected in basket for review.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            <kbd class="kbKey">H</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open online help\n                            </p>\n                        </td>\n                    </tr>\n                    </tbody>\n\n                </table>\n                </p>\n            </a>\n\n            \x3c!-- Form actions --\x3e\n            <a href="#" class="list-group-item">\n                <h4 class="list-group-item-heading">Form actions</h4>\n                <p class="list-group-item-text">\n                <table class="table content">\n\n                    <tbody>\n                    <tr>\n                        <td class="span4">\n                            SHIFT + RETURN\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Toggle form field zoom (in Comfort form)\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td class="span4">\n                            CTRL + ALT + F\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open CQL field chooser (in Expert form)\n                            </p>\n                        </td>\n                    </tr>\n                    </tbody>\n\n                </table>\n                </p>\n            </a>\n\n            \x3c!-- List navigation --\x3e\n            <a href="#" class="list-group-item">\n                <h4 class="list-group-item-heading">List navigation</h4>\n                <p class="list-group-item-text">\n                <table class="table content">\n\n                    <tbody>\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">SPACE</kbd>\n                            <br/>\n                            <kbd class="kbKey">PAGEDOWN</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Scroll down to next result item\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + SPACE\n                            <br/>\n                            <kbd class="kbKey">PAGEUP</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Scroll up to previous result item\n                            </p>\n                        </td>\n                    </tr>\n                    </tbody>\n\n                </table>\n                </p>\n            </a>\n\n            \x3c!-- Document navigation --\x3e\n            <a href="#" class="list-group-item">\n                <h4 class="list-group-item-heading">Document navigation</h4>\n                <p class="list-group-item-text">\n                <table class="table content">\n\n                    <tbody>\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">LEFT</kbd>\n                            <kbd class="kbKey">RIGHT</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                "Biblio, Claims, Description": Previous/next tab\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + LEFT\n                            &nbsp;\n                            SHIFT + RIGHT\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Drawings: Previous/next image\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + UP\n                            &nbsp;\n                            SHIFT + DOWN\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Drawings: Rotate image\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + P\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open PDF\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + E\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open Espacenet\n                            </p>\n                            <blockquote class="expandable">\n                                <p>\n                                    Espacenet offers free access to more than 80 million patent documents worldwide,\n                                    containing information about inventions and technical developments from 1836 to today.\n                                </p>\n                                <small>\n                                    <a target="_blank" href="https://www.epo.org/searching/free/espacenet.html">\n                                        https://www.epo.org/searching/free/espacenet.html\n                                    </a>\n                                </small>\n                                <small>\n                                    <a target="_blank" href="http://documents.epo.org/projects/babylon/eponet.nsf/0/4E8744EB66E8F944C12577D600598EEF/$File/espacenet_brochure_en.pdf">\n                                        Espacenet brochure\n                                    </a>\n                                </small>\n                            </blockquote>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + D\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open DEPATISnet\n                            </p>\n                            <blockquote class="expandable">\n                                <p>\n                                    DEPATISnet provides fast and comfortable access to the electronic DEPATIS document\n                                    archive (German patent information system) of the German Patent and Trade Mark Office (DPMA).\n                                    <br/><br/>\n\n                                    DEPATISnet covers all German patent documents since 1877 and also documents of many\n                                    other patent offices and organisations worldwide.\n                                    <br/><br/>\n\n                                    The document archive consists of approximately 88 million data records\n                                    from about 100 countries. Almost 60% million of these data records are\n                                    available in PDF format.\n                                    <br/><br/>\n                                </p>\n                                <small>\n                                    <a target="_blank" href="http://www.dpma.de/english/service/e-services/depatisnet/">\n                                        http://www.dpma.de/english/service/e-services/depatisnet/\n                                    </a>\n                                </small>\n                                <small>\n                                    <a target="_blank" href="http://www.dpma.de/docs/service/veroeffentlichungen/flyer_en/depatisnet_engl.pdf">\n                                        DEPATISnet brochure\n                                    </a>\n                                </small>\n                            </blockquote>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + ALT + E\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open European Patent Register\n                            </p>\n                            <blockquote class="expandable">\n                                <p>\n                                    The European Patent Register contains all the publicly available information on\n                                    European patent applications as they pass through the grant procedure, including\n                                    oppositions, patent attorney/EPO correspondence and more.\n                                    The service also provides for public file inspection.\n                                </p>\n                                <small>\n                                    <a target="_blank" href="https://www.epo.org/searching/free/register.html">\n                                        https://www.epo.org/searching/free/register.html\n                                    </a>\n                                </small>\n                            </blockquote>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + ALT + D\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open DPMAregister\n                            </p>\n                            <blockquote class="expandable">\n                                <p>\n                                    The DPMAregister service provides access to the german publications of patents,\n                                    trade marks, utility models and designs as well as the register data.\n                                    The service comprises the search for legal/procedural status information as well as\n                                    the corresponding publication data.\n                                </p>\n                                <small>\n                                    <a target="_blank" href="https://register.dpma.de/?lang=en">\n                                        https://register.dpma.de/?lang=en\n                                    </a>\n                                </small>\n                            </blockquote>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            SHIFT + C\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Open CCD Viewer\n                            </p>\n                            <blockquote class="expandable">\n                                <p>\n                                    The Common Citation Document (CCD) application aims to provide single point access\n                                    to up-to-date citation data relating to the patent applications of the IP5 Offices.\n                                    It consolidates the prior art cited by all participating offices for the family\n                                    members of a patent application, thus enabling the search results for the same\n                                    invention produced by several offices to be visualised on a single page.\n                                </p>\n                                <small>\n                                    <a target="_blank" href="http://www.fiveipoffices.org/material/ccd.html">\n                                        https://www.fiveipoffices.org/material/ccd.html\n                                    </a>\n                                </small>\n                            </blockquote>\n                        </td>\n                    </tr>\n                    </tbody>\n\n                </table>\n                </p>\n            </a>\n\n            \x3c!-- Document actions --\x3e\n            <a href="#" class="list-group-item">\n                <h4 class="list-group-item-heading">Document actions</h4>\n                <p class="list-group-item-text">\n                <table class="table content">\n\n                    <tbody>\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">C</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Add or edit comments\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">1</kbd>\n                            <br/>\n                            <kbd class="kbKey">INSERT</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Rate the document with score "1"\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            <kbd class="kbKey">2</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Rate the document with score "2"\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            <kbd class="kbKey">3</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Rate the document with score "3"\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            <kbd class="kbKey">0</kbd>\n                            <br/>\n                            <kbd class="kbKey">D</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Rate the document with "dismiss"\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            <kbd class="kbKey">+</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Add the document to basket\n                            </p>\n                            <p>\n                                No rating value will be assigned.\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td>\n                            <kbd class="kbKey">-</kbd>\n                            <br/>\n                            <kbd class="kbKey">R</kbd>\n                            <br/>\n                            <kbd class="kbKey">DEL</kbd>\n                            <br/>\n                            CTRL+D\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Remove the document from basket\n                            </p>\n                        </td>\n                    </tr>\n\n                    \x3c!-- Stack --\x3e\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">S</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Add document to stack\n                            </p>\n                        </td>\n                    </tr>\n                    <tr>\n                        <td class="span4">\n                            <kbd class="kbKey">X</kbd>\n                        </td>\n                        <td>\n                            <p class="lead">\n                                Remove document from stack\n                            </p>\n                        </td>\n                    </tr>\n\n                    </tbody>\n\n                </table>\n                </p>\n            </a>\n\n\n        </div>\n    </div>\n</div>\n';return __p}},585:function(e,n,t){(function(e){t(488),IFIClaimsHandbookView=e.ItemView.extend({template:t(586)})}).call(this,t(6))},586:function(module,exports){module.exports=function(obj){var __t,__p="",__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,"")};with(obj||{})__p+="",__p+='\n\n<div class="container-fluid">\n    <div class="span9">\n        <h4>Überblick</h4>\n    </div>\n</div>\n<div class="container-fluid">\n\n    <div class="span9">\n\n        <div class="list-group">\n\n            <div class="list-group-item">\n                <p class="list-group-item-text">\n                    Die »CLAIMS® Global Patent Database« von »IFI CLAIMS Patent Services« (gegründet 1955)\n                    ist eine kommerzielle Datenbank für Patentdokumente.\n                    <br/><br/>\n\n                    Die Datenbank enthält über 90 Millionen Patentdokumente aus über 50 nationalen und internationalen Datenquellen\n                    und durchsuchbare Volltexte für Veröffentlichungen aus 22 Patentämtern\n                    (AT, BE, BR, CA, CH, CN, DE, DK, EP, ES, FI, FR, GB, IN, JP, KR, LU, NL, RU, TW, US, WO).\n                    Begleitend sind bibliographische Daten und Abstracts von 90 Patentämtern aus der DOCDB Datenbank\n                    sowie Rechtsstände von 60 Ämtern aus der INPADOC Datenbank enthalten.\n                    <br/><br/>\n\n                    Für detaillierte Informationen über die Datenabdeckung, Datenquellen und Aktualisierungszyklen wollen wir Sie\n                    auf die Originalinformationen des Datenbankbetreibers verweisen:\n                    <br/><br/>\n                    <ul>\n                        <li>\n                            <a href="http://docs.ificlaims.com/display/CDVDP/Claims+Global+Data+Coverage">Claims Global Data Coverage</a>\n                        </li>\n                        <li>\n                            <a href="http://docs.ificlaims.com/display/CDVDP/CLAIMS+Direct+Load+Sources">CLAIMS Direct Load Sources</a>\n                        </li>\n                        <li>\n                            <a href="http://docs.ificlaims.com/display/CDVDP/Content+Updates">Content Updates</a>\n                        </li>\n                    </ul>\n                </p>\n            </div>\n\n        </div>\n\n    </div>\n\n</div>\n\n<div class="container-fluid">\n    <div class="span9">\n        <h4>Komfortsuche</h4>\n    </div>\n</div>\n<div class="container-fluid">\n\n    <div class="span9">\n\n        <div class="list-group">\n\n            <div class="list-group-item">\n                \x3c!-- <h4 class="list-group-item-heading">Komfortsuche</h4> --\x3e\n                <p class="list-group-item-text">\n                    Die Komfortsuche kann Sie wie gewohnt bei ad hoc Abfragen und bei der Erschließung der Suchausdrücke für die Expertensuche unterstützen.\n                    Eine Beispielsuche, um Patentschriften des Anmelders »BSH BOSCH UND SIEMENS HAUSGERÄTE GMBH«\n                    in Zusammenhang mit den Klassen H04L12/433 und H04L12/24 (sowohl IPC als auch CPC) zu finden, ist wie gewohnt:\n                    <br/><br/>\n<pre>\nApplicant: Siemens and Bosch\nClass:     H04L12/433 or H04L12/24\n</pre>\n                    <br/>\n\n                    Dies entspricht dem folgenden Suchausdruck im Expertenmodus,\n                    bitte beachten Sie die Syntax für die Feldtrenner (hier ":" statt "="),\n                    die Großschreibung der Booleschen Operatoren\n                    sowie die Formatierung von Klassenangaben:\n                    <br/><br/>\n                    <pre>pa:(Siemens AND Bosch) AND ((ic:H04L0012433 OR cpc:H04L0012433) OR (ic:H04L001224 OR cpc:H04L001224))</pre>\n\n                </p>\n            </div>\n\n        </div>\n\n    </div>\n\n</div>\n\n\n<div class="container-fluid">\n    <div class="span9">\n        <h4>Expertensuche</h4>\n    </div>\n</div>\n<div class="container-fluid">\n\n    <div class="span9">\n\n        <div class="list-group">\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Generelle Regeln</h4>\n                <p class="list-group-item-text">\n                    <ul>\n                        <li>\n                            Feldnamen sind case sensitive, bitte verwenden Sie immer Kleinbuchstaben.\n                        </li>\n                        <li>\n                            Operatoren müssen groß geschrieben werden (z.B. AND, OR, NOT, TO).\n                        </li>\n                        <li>\n                            Anführungszeichen, die verwendet werden, um Phrasen einzuschließen,\n                            müssen "gerade Anführungszeichen" sein.\n                            Dies ist manchmal ein Problem, wenn Sie Daten per copy/paste aus\n                            einer anderen Quelle einfügen, wo „intelligente Anführungszeichen“\n                            verwendet worden sein könnten.\n                        </li>\n                    </ul>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Operatoren</h4>\n                <p class="list-group-item-text">\n                    Der Suchindex unterstützt AND, OR und NOT als Boolesche Operatoren.\n                    Boolesche Operatoren müssen groß geschrieben werden. Wenn sie in Kleinbuchstaben eingegeben werden, werden sie als Begriffe gesucht.\n                    <br/><br/>\n\n                    <ul>\n                        <li>\n                            <b>AND</b>\n                            <br/>\n                            Der AND-Operator findet Dokumente, wenn beide Begriffe irgendwo im Text eines einzelnen Dokuments vorhanden sind.\n                            Dies entspricht einer Schnittmenge beider Suchmengen.\n                            Für die Suche nach Dokumenten, die "solar energy" und "heating" enthalten, verwenden Sie die Abfrage:\n                            <pre>"solar energy" AND heating</pre>\n                        </li>\n                        <li>\n                            <b>NOT</b>\n                            <br/>\n                            Der NOT-Operator schließt Dokumente aus, die den Suchbegriff nach "NOT" enthalten.\n                            Dies entspricht einer Differenz von Suchmengen. Das Symbol "!" kann an Stelle des Wortes "NOT" verwendet werden.\n                            Um nach Dokumenten zu suchen, die "solar energy" aber nicht "heating" enthalten, verwenden Sie die Abfrage:\n                            <pre>"solar energy" NOT heating</pre>\n                        </li>\n                        <li>\n                            <b>OR</b>\n                            <br/>\n                            Der ODER-Operator verknüpft zwei Begriffe und findet Dokumente, wenn eines der Begriffe in einem Dokument vorhanden ist.\n                            Dies entspricht einer Vereinigung von Suchmengen. Das Zeichen "||" Kann an Stelle des Wortes "OR" verwendet werden.\n                            Um nach Dokumenten zu suchen, die entweder "solar energy" oder "wind power" enthalten, verwenden Sie die Abfrage:\n                            <pre>"solar energy" OR "wind power"</pre>\n                        </li>\n                    </ul>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Suche mit Wildcards</h4>\n                <p class="list-group-item-text">\n                <ul>\n                    <li>\n                        <b>?</b>\n                        <br/>\n                        Verwenden Sie das Fragezeichen, um ein einzelnes Zeichen (eins und nur eins) am Ende oder innerhalb\n                        eines Wortes darzustellen. Um beispielsweise nach der britischen oder amerikanischen Schreibweise\n                        des Wortes "galvanisiert" zu suchen (also "galvanised" oder "galvanized"),\n                        verwenden Sie den Suchausdruck:\n                        <br/>\n                        <pre>text:"galvani?ed"</pre>\n                    </li>\n                    <li>\n                        <b>*</b>\n                        <br/>\n                        Verwenden Sie das Sternchen, um 0 bis beliebig viele Zeichen darzustellen.\n                        Um nach "test, tests, testing, tester" usw. zu suchen, verwenden Sie den Suchbegriff "test*".\n                        Um beispielsweise nach "Sulphur oder Sulfur" zu suchen, verwenden Sie den Suchausdruck:\n                        <br/>\n                        <pre>text:"sul*ur"</pre>\n                    </li>\n                    <li>\n                        Hinweis: Sie können die Symbole * oder ? nicht als erstes Zeichen eines Suchbegriffs verwenden.\n                    </li>\n                </ul>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Suche nach Phrasen</h4>\n                <p class="list-group-item-text">\n                    Eine Phrase ist eine Gruppe von Wörtern, umgeben von doppelten Anführungszeichen.\n                    Um nur die Dokumente abzurufen, die die Phrase genau so finden, wie sie gesucht wurde,\n                    platzieren Sie die Phrase in Anführungszeichen. Beispiel:\n                    <br/><br/>\n                    <pre>"fuel cell"</pre>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Suche mit Wortabstand (Näherungssuche)</h4>\n                <p class="list-group-item-text">\n                    Die Näherungssuche sucht nach Wörtern in Dokumenten, die in einer bestimmten Nähe zueinander liegen.\n                    Um eine Näherungssuche durchzuführen, verwenden Sie das Tilde Symbol "~" am Ende einer Phrase.\n                    Um zum Beispiel nach den Begriffen "solar" und "generation" zu suchen,\n                    die mit einem Abstand von maximal 5 Wörtern im gleichen Dokument vorkommen, verwenden Sie den Suchausdruck:\n                    <br/><br/>\n                    <pre>"solar generation"~5</pre>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Suche mit Wortabstand und Trunkierung</h4>\n                <p class="list-group-item-text">\n                    Um Suchausdrücke mit Wortabstand und Trunkierung zu kombinieren, muss dem Ausdruck die Zeichenkette\n                    <pre>{!complexphrase}</pre> vorangestellt werden.\n                    Die spezifische Syntax ist "{!complexphrase}[field name]:[query]".\n                    <br/><br/>\n\n                    Für eine Suche nach Dokumenten im Zusammenhang mit Solarenergiespeichermodulen\n                    könnte sich der folgende Suchausdruck eignen:\n                    <br/>\n                    <pre>{!complexphrase}text:"solar AND energy AND stor* AND modul*"~6</pre>\n                    <br/>\n\n                    Während die Standardvariante dieser Suche Wörter in der angegebenen Reihenfolge findet,\n                    ist es auch möglich, nach einer Phrase zu suchen, die dieselben Wörter in beliebiger Reihenfolge enthält:\n                    <br/>\n                    <pre>{!complexphrase inOrder=false}text:"solar AND energy AND stor* AND modul*"~6</pre>\n                    <br/>\n\n                    Für die Suche nach Dokumenten, die Informationen über thermische Barrieren enthalten,\n                    können Sie eine komplexe Phrasensuche wie folgt verwenden:\n                    <br/>\n                    <pre>{!complexphrase}text:"(thermal OR thermic OR thermo) barrier*"~8</pre>\n                    <br/>\n\n                    Um <span class="monospace">"complexphrase"</span> Ausdrücke miteinander zu verschneiden,\n                    können Sie sich an folgender Struktur orientieren:\n                    <br/>\n                    <pre>{!complexphrase}text:("parallel* AND schalt*"~6 AND "antrieb* AND stufe*"~3)</pre>\n\n                    <hr/>\n                    <b>Einschränkungen bei zu kurzen Suchmustern</b>\n                    <br/>\n                    Diese Abfragevariante ist sensibel auf die Anzahl der eindeutigen Begriffe, die mit einem Muster verbunden sind.\n                    Das System erzeugt vor der Abfrage im Hintergrund einen Suchausdruck, in dem alle auf das Muster passenden Begriffe\n                    per <span class="monospace">"OR"</span> verknüpft werden.\n                    Zum Beispiel wird die Suche nach <span class="monospace">"a*"</span> eine große <span class="monospace">"OR"</span>-Klausel\n                    für alle Begriffe erzeugen, die mit dem einzelnen Buchstaben <span class="monospace">"a"</span> beginnen.\n                    <br/>\n                    Es kann klug sein, Wildcards auf mindestens zwei oder vorzugsweise drei Buchstaben als Präfix zu beschränken.\n                    Die Verwendung von sehr kurzen Präfixen kann dazu führen, dass viele Dokumente mit geringer Qualität zurückgegeben werden\n                    oder die Fehlermeldung "Too many terms in phrase expression, wildcard term prefixes might by too short." ausgelöst wird.\n\n                    <hr/>\n                    <b>Einschränkungen bei der Kombination mit anderen Kriterien</b>\n                    <br/>\n                    <span class="monospace">{!complexphrase}</span> Fragmente sind sensibel bzgl. der Positionierung innerhalb\n                    eines Suchausdrucks mit weiteren Kriterien. Sie sollten am Anfang eines Suchausdrucks positioniert werden.\n                    Beispiel:\n                    <pre>{!complexphrase inOrder=false}text:"(palladium OR pd) (free OR no)"~3 AND pnctry:(de OR ep OR wo OR us) AND text:(flash AND (nickel OR ni)) AND ((ic:H01L002348 OR cpc:H01L002348))</pre>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Suche in Wertebereichen</h4>\n                <p class="list-group-item-text">\n                    Bereichsabfragen beschreiben Werte zwischen der unteren und oberen Grenze zweier Ausdrücke.\n                    In einer Bereichsabfrage muss der Operator \'TO\' groß geschrieben werden.\n                    Der folgende Suchausdruck findet Dokumente, deren Veröffentlichungstermine Werte\n                    zwischen einschließlich 20020101 und 20030101 enthalten:\n                    <br/><br/>\n                    <pre>pd:[20020101 TO 20030101]</pre>\n                </p>\n            </div>\n\n            <br/>\n\n            <div class="list-group-item">\n                <h4 class="list-group-item-heading">Smart search: Suche ohne Operatoren oder Feldbezeichner</h4>\n                <p class="list-group-item-text">\n                    <ul>\n                        <li>\n                            Der Standard-Operator für Boolesche Operatoren ist "AND". Das bedeutet, dass, wenn kein Operator angegeben\n                            wird, das System "AND" annimmt.\n                        </li>\n                        <li>\n                            Wenn in der Abfrage kein Feld angegeben ist, bezieht sich die Suche auf Titel, Abstract, Beschreibung und Ansprüche.\n                        </li>\n                    </ul>\n                </p>\n            </div>\n\n        </div>\n    </div>\n</div>\n';return __p}}});
//# sourceMappingURL=app-help.bundle.min.js.map